#include "SPIMaster.h"


void Print(char *data2, int lenght){
  for(int i = 0; i < lenght; i++) {
    Serial.print(data2[i], HEX);
    Serial.print(" ");
  }
}

void setup()
{
  Serial.begin(9600);
  SPI_MasterInit();   
  Serial.println("Master Initialization ");
}

void loop()
{
  char data[] = {6, 1, 3, 5, 16, 17, 18, 0};
  int length = sizeof(data);

  Serial.print("Start:");
  Print(data,length);
  Serial.println();

  char checking = CRC8(data, length-1); 
  int size = sizeof(data) / sizeof(data[0]);
  data[size - 1] = checking;

  Serial.print("End:");
  Print(data,length);
  Serial.println();

  SPI_MasterTransmit(data, length);
  _delay_ms(1000);
}